Bug 874385 - beaker_expire_distros does not enforce timeouts for HTTP and FTP requests
Summary: beaker_expire_distros does not enforce timeouts for HTTP and FTP requests
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.9
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 0.12
Assignee: Qixiang Wan
QA Contact: Raymond Mancy
URL:
Whiteboard: DistroManagement
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-08 03:42 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:56:55 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2012-11-08 03:42:06 UTC
I just found this beaker_expire_distros process in my devel environment, it has been dead for four weeks:

# ps -lf 30059
F S UID        PID  PPID  C PRI  NI ADDR SZ WCHAN  STIME TTY        TIME CMD
0 S root     30059 30057  0  80   0 - 23129 sk_wai Sep13 ?          0:00 /usr/bin/python /usr/bin/beaker-expire-distros

Looks like it got stuck talking to a Fedora FTP mirror:

# lsof -p30059
COMMAND     PID USER   FD   TYPE  DEVICE SIZE/OFF    NODE NAME
[...]
beaker-ex 30059 root    4u  IPv4 8294590      0t0     TCP dhcp-40-138.bne.redhat.com:41668->ftp.cc.swin.edu.au:ftp (ESTABLISHED)

A reasonable timeout (perhaps 20 seconds) should be enforced for connects and reads for HTTP and FTP. Can't do much about NFS over autofs unfortunately.

Comment 1 Qixiang Wan 2013-03-05 06:31:10 UTC
on gerrit: http://gerrit.beaker-project.org/1786

Comment 3 Dan Callaghan 2013-04-11 04:56:55 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.